Package org.eclipse.cdt.utils.debug.stabs

## Class StabConstant

- java.lang.Object
- - org.eclipse.cdt.utils.debug.stabs.StabConstant

    public final class StabConstant
    extends Object

### Field Summary

Fields
`static int` `N_BCOMM`
`static int` `N_BINCL`
`static int` `N_BSLINE`
`static int` `N_CATCH`
`static int` `N_DEFD`
`static int` `N_DSLINE`
`static int` `N_ECOML`
`static int` `N_ECOMM`
`static int` `N_EHDECL`
`static int` `N_EINCL`
`static int` `N_ENDM`
`static int` `N_ENTRY`
`static int` `N_EXCL`
`static int` `N_FLINE`
`static int` `N_FNAME`
`static int` `N_FUN`
`static int` `N_GSYM`
`static int` `N_LBRAC`
`static int` `N_LCSYM`
`static int` `N_LSYM`
`static int` `N_M2C`
`static int` `N_MAIN`
`static int` `N_NBBSS`
`static int` `N_NBDATA`
`static int` `N_NBLCS`
`static int` `N_NBSTS`
`static int` `N_NBTEXT`
`static int` `N_NOMAP`
`static int` `N_NSYMS`
`static int` `N_OBJ`
`static int` `N_OPT`
`static int` `N_PC`
`static int` `N_PSYM`
`static int` `N_RBRAC`
`static int` `N_ROSYM`
`static int` `N_RSYM`
`static int` `N_SCOPE`
`static int` `N_SLINE`
`static int` `N_SO`
`static int` `N_SOL`
`static int` `N_SSYM`
`static int` `N_STSYM`
`static int` `N_UNDF`
`static int` `N_WITH`
`static int` `SIZE`
`static int` `SIZE_64`

### Constructor Summary

Constructors
`StabConstant()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `type2String​(int t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### N_UNDF

    public static final int N_UNDF

See Also:
  Constant Field Values

#### N_GSYM

    public static final int N_GSYM

See Also:
  Constant Field Values

#### N_FNAME

    public static final int N_FNAME

See Also:
  Constant Field Values

#### N_FUN

    public static final int N_FUN

See Also:
  Constant Field Values

#### N_STSYM

    public static final int N_STSYM

See Also:
  Constant Field Values

#### N_LCSYM

    public static final int N_LCSYM

See Also:
  Constant Field Values

#### N_MAIN

    public static final int N_MAIN

See Also:
  Constant Field Values

#### N_ROSYM

    public static final int N_ROSYM

See Also:
  Constant Field Values

#### N_PC

    public static final int N_PC

See Also:
  Constant Field Values

#### N_NSYMS

    public static final int N_NSYMS

See Also:
  Constant Field Values

#### N_NOMAP

    public static final int N_NOMAP

See Also:
  Constant Field Values

#### N_OBJ

    public static final int N_OBJ

See Also:
  Constant Field Values

#### N_OPT

    public static final int N_OPT

See Also:
  Constant Field Values

#### N_RSYM

    public static final int N_RSYM

See Also:
  Constant Field Values

#### N_M2C

    public static final int N_M2C

See Also:
  Constant Field Values

#### N_SLINE

    public static final int N_SLINE

See Also:
  Constant Field Values

#### N_DSLINE

    public static final int N_DSLINE

See Also:
  Constant Field Values

#### N_BSLINE

    public static final int N_BSLINE

See Also:
  Constant Field Values

#### N_DEFD

    public static final int N_DEFD

See Also:
  Constant Field Values

#### N_FLINE

    public static final int N_FLINE

See Also:
  Constant Field Values

#### N_EHDECL

    public static final int N_EHDECL

See Also:
  Constant Field Values

#### N_CATCH

    public static final int N_CATCH

See Also:
  Constant Field Values

#### N_SSYM

    public static final int N_SSYM

See Also:
  Constant Field Values

#### N_ENDM

    public static final int N_ENDM

See Also:
  Constant Field Values

#### N_SO

    public static final int N_SO

See Also:
  Constant Field Values

#### N_LSYM

    public static final int N_LSYM

See Also:
  Constant Field Values

#### N_BINCL

    public static final int N_BINCL

See Also:
  Constant Field Values

#### N_SOL

    public static final int N_SOL

See Also:
  Constant Field Values

#### N_PSYM

    public static final int N_PSYM

See Also:
  Constant Field Values

#### N_EINCL

    public static final int N_EINCL

See Also:
  Constant Field Values

#### N_ENTRY

    public static final int N_ENTRY

See Also:
  Constant Field Values

#### N_LBRAC

    public static final int N_LBRAC

See Also:
  Constant Field Values

#### N_EXCL

    public static final int N_EXCL

See Also:
  Constant Field Values

#### N_SCOPE

    public static final int N_SCOPE

See Also:
  Constant Field Values

#### N_RBRAC

    public static final int N_RBRAC

See Also:
  Constant Field Values

#### N_BCOMM

    public static final int N_BCOMM

See Also:
  Constant Field Values

#### N_ECOMM

    public static final int N_ECOMM

See Also:
  Constant Field Values

#### N_ECOML

    public static final int N_ECOML

See Also:
  Constant Field Values

#### N_WITH

    public static final int N_WITH

See Also:
  Constant Field Values

#### N_NBTEXT

    public static final int N_NBTEXT

See Also:
  Constant Field Values

#### N_NBDATA

    public static final int N_NBDATA

See Also:
  Constant Field Values

#### N_NBBSS

    public static final int N_NBBSS

See Also:
  Constant Field Values

#### N_NBSTS

    public static final int N_NBSTS

See Also:
  Constant Field Values

#### N_NBLCS

    public static final int N_NBLCS

See Also:
  Constant Field Values

#### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

#### SIZE_64

    public static final int SIZE_64

Since:
  5.2
See Also:
  Constant Field Values

### Constructor Detail

#### StabConstant

    public StabConstant()

### Method Detail

#### type2String

    public static String type2String​(int t)